Remove a recipient from a conversation
curl --request DELETE \
--url https://api.getfernand.com/conversations/{id}/recipients/{email} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/conversations/{id}/recipients/{email}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/conversations/{id}/recipients/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/conversations/{id}/recipients/{email}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/conversations/{id}/recipients/{email}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/conversations/{id}/recipients/{email}")
.header("X-API-Key", "<api-key>")
.asString();{}{
"error": "You cannot remove the main contact from the conversation."
}{
"error": "<string>"
}Remove a recipient from a conversation
DELETE
/
conversations
/
{id}
/
recipients
/
{email}
Remove a recipient from a conversation
Removes a recipient identified by their email address from a conversation. The main contact (the original ‘from’ contact) cannot be removed.
Authorizations
Path Parameters
ID of the conversation
Email address of the recipient to remove
Response
Recipient removed successfully
The response is of type object.
Was this page helpful?
⌘I